/*
 * mp3plot - Bitrate analysis tool
 *
 * Copyright (C) 2007 Toni Corvera
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

// $Id: main.h 755 2007-05-26 15:02:28Z  $

#ifndef MAIN_H // Not that more than one module will include it though
#define MAIN_H

#include "config.h"

/*
 * This is a kludge used to initialize the available plotters.
 * Eventually this should be tidied.
 * FIXME: Is there a clean way to do it from the interested modules ?
 */

#define REG_CONSOLE_PLOTTER_    net_outlyer::mp3::console_plotter::register_me();
#define REG_IMAGE_PLOTTER_      net_outlyer::mp3::image_plotter::register_me();

#include "mp3_bitrate_plotter.h"
#include "mp3_console_plotter.h"

#ifdef HAVE_MAGICK

#include "mp3_image_plotter.h"
#define REGISTER_PLOTTERS()   REG_CONSOLE_PLOTTER_ REG_IMAGE_PLOTTER_

#else

#define REGISTER_PLOTTERS()   REG_CONSOLE_PLOTTER_

#endif // ifdef HAVE_MAGICK

#endif // MAIN_H
/* vim:set ts=4 et ai: */

