/*
 * mp3plot - Bitrate analysis tool
 *
 * Copyright (C) 2007 Toni Corvera
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

// $Id: mp3_console_plotter.h 749 2007-05-24 22:44:28Z  $

#ifndef ONET_MP3_CONSOLE_PLOTTER_H
#define ONET_MP3_CONSOLE_PLOTTER_H

#include "mp3_file.h"
#include "mp3_bitrate_plotter.h"

namespace net_outlyer {

namespace mp3 {

    //! Prints a textual plot to the console
    class console_plotter : public bitrate_plotter {
    public:
        virtual ~console_plotter() {}

        virtual void plot(const mp3file & file) const;

        static void register_me();
    };


} // namespace mp3

} // namespace net_outlyer

#endif // ONET_MP3_CONSOLE_PLOTTER_H
/* vim:set ts=4 et ai: */

