/*
 * mp3plot - Bitrate analysis tool
 *
 * Copyright (C) 2007 Toni Corvera
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

// $Id: mp3_image_plotter.h 753 2007-05-26 00:04:38Z  $

#ifndef ONET_IMAGE_PLOTTER_H
#define ONET_IMAGE_PLOTTER_H

#include <string>

#include "mp3_file.h"
#include "mp3_bitrate_plotter.h"

namespace net_outlyer {

namespace mp3 {

    //! Plots to a image
    class image_plotter : public bitrate_plotter {
    public:
        virtual ~image_plotter() {}

        virtual void plot(const mp3file & file) const;

        static void register_me();
    };

} // namespace mp3

} // namespace net_outlyer

#endif // ONET_IMAGE_PLOTTER_H
/* vim:set ts=4 et ai: */

